%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname jabberbot

Name:           python-%{srcname}
Version:        0.15
Release:        4%{?dist}
Summary:        A simple jabber (XMPP) bot framework

Group:          Applications/Internet
License:        GPLv3+
URL:            http://thpinfo.com/2007/python-jabberbot/
Source0:        http://thpinfo.com/2007/python-jabberbot/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xmpp

Requires:       python-xmpp

%description
This is python-jabberbot, a Jabber bot framework for Python that enables you
to easily write simple Jabber bots. You can use your Jabber bots to provide
information about your running systems, to make your website interact with
your visitors or notify you about updates or changes you monitor with your
Python scripts. 

%prep
%setup -q -n %{srcname}-%{version}
sed -i -e '/^#!\//, 1d' jabberbot.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files 
%doc AUTHORS COPYING README examples/
%{python_sitelib}/jabberbot*
%{python_sitelib}/jabberbot*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 30 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.15-1
- Updated to new upstream version 0.15

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 31 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.14-1
- Updated to new upstream version 0.14

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 13 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 0.13-1
- Update to 0.13

* Sat Feb 11 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.12-1
- Updated to new upstream version 0.12

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 08 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.10-1
- Added scrname
- Updated to new upstream version 0.10

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.9-1
- Added COPYING
- Updated to new upstream version 0.9

* Mon Dec 21 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8-2
- Fixed license tag
- Removed prefix in install section

* Mon Dec 07 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8-1
- Updated to new upstream version 0.8

* Wed Oct 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6-1
- Initial spec for Fedora
